package com.sxtvs.open.api.clue.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.sxtvs.open.api.clue.dto.ClueDTO;
import com.sxtvs.open.api.clue.dto.VerifyDTO;
import com.sxtvs.open.api.clue.entity.Clue;
import com.sxtvs.open.api.clue.entity.ClueReply;
import com.sxtvs.open.api.clue.service.impl.ClueReplyServiceImpl;
import com.sxtvs.open.api.clue.service.impl.ClueServiceImpl;
import jakarta.annotation.Resource;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2023-03-20
 */
@RestController
@RequestMapping("/clue")
public class ClueController {

    @Resource
    private ClueServiceImpl clueService;

    @Resource
    private ClueReplyServiceImpl clueReplyService;

    @RequestMapping("list")
    public IPage<Clue> ls(@RequestBody ClueDTO clueDTO){
        return clueService.cluePage(clueDTO);
    }

    @RequestMapping("store")
    public void store(@RequestBody Clue clue){
        clueService.store(clue);
    }

    @RequestMapping("verify")
    public void verify(@Validated @RequestBody VerifyDTO verifyDTO){
        clueService.verify(verifyDTO);
    }

    @RequestMapping("reply")
    public void reply(@RequestBody ClueReply clueReply){
        clueReplyService.reply(clueReply);
    }
}
