package com.sxtvs.open.api.clue.service.impl;

import com.sxtvs.open.api.clue.entity.Clue;
import com.sxtvs.open.api.clue.entity.ClueReply;
import com.sxtvs.open.api.clue.mapper.ClueReplyMapper;
import com.sxtvs.open.api.clue.service.IClueReplyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.time.LocalDateTime;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author syj
 * @since 2023-03-20
 */
@Service
public class ClueReplyServiceImpl extends ServiceImpl<ClueReplyMapper, ClueReply> implements IClueReplyService {

    @Resource
    private ClueServiceImpl clueService;

    @Transactional
    public void reply(ClueReply clueReply){
        Clue clue = clueService.getById(clueReply.getClueId());
        clue.setReplyFlag(1);
        clue.setReplyTime(LocalDateTime.now());
        clueService.updateById(clue);
        clueReply.setId(null);
        clueReply.setReplyTime(LocalDateTime.now());
        clueReply.setModifyTime(LocalDateTime.now());
        save(clueReply);
    }
}
