package com.sxtvs.open.api.odata.dto.weibo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
public class YMWeiboAccount {

    @JsonProperty("msg")
    private String msg;
    @JsonProperty("umeiTransactionId")
    private String umeiTransactionId;
    @JsonProperty("code")
    private Integer code;
    @JsonProperty("data")
    private List<DataDTO> data;
    @JsonProperty("transactionId")
    private String transactionId;

    @NoArgsConstructor
    @Data
    public static class DataDTO {
        @JsonProperty("group_uid")
        private Long groupUid;
        @JsonProperty("network_group_id")
        private Long networkGroupId;
        @JsonProperty("user")
        private UserDTO user;

        @NoArgsConstructor
        @Data
        public static class UserDTO {
            @JsonProperty("friends_count")
            private Integer friendsCount;
            @JsonProperty("rz_name")
            private String rzName;
            @JsonProperty("statuses_count")
            private Integer statusesCount;
            @JsonProperty("followers_count")
            private Integer followersCount;
            @JsonProperty("name")
            private String name;
            @JsonProperty("description")
            private String description;
            @JsonProperty("profile_image_url")
            private String profileImageUrl;
            @JsonProperty("location")
            private String location;
            @JsonProperty("id")
            private String id;
        }
    }
}
