package com.sxtvs.open.api.odata.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sxtvs.open.api.odata.dao.QrcodeLogMapper;
import com.sxtvs.open.api.odata.entity.QrcodeLog;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.Optional;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zyx
 * @since 2021-12-28
 */
@Service
public class QrcodeLogServiceImpl extends ServiceImpl<QrcodeLogMapper, QrcodeLog> implements IQrcodeLogService {

    public void writeLog(String platform,String openId,String nickName){
        QrcodeLog qrcodeLog = new QrcodeLog();
        qrcodeLog.setPlatform(platform);
        qrcodeLog.setOpenId(openId);
        qrcodeLog.setNickName(nickName);
        qrcodeLog.setCreateTime(LocalDateTime.now());
        Optional<QrcodeLog> logOptional = lambdaQuery()
                .eq(QrcodeLog::getPlatform, platform)
                .eq(QrcodeLog::getNickName, nickName)
                .oneOpt();
        if (logOptional.isPresent()) {
            return;
        }
        save(qrcodeLog);
    }
}
