package com.sxtvs.open.api.youmei.controller;

import com.alibaba.fastjson.JSON;
import com.sxtvs.open.api.user.service.impl.UserServiceImpl;
import com.sxtvs.open.api.youmei.dto.CheckWordParam;
import com.sxtvs.open.api.youmei.service.YoumeiAccountServiceImpl;
import com.sxtvs.open.core.auth.LoginRequired;
import com.sxtvs.open.core.sls.AliyunLogger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("api")
public class YoumeiController {

    @Autowired
    private YoumeiAccountServiceImpl youmeiAccountService;

    @Autowired
    private UserServiceImpl userService;

    @Autowired
    private AliyunLogger logger;


    @RequestMapping("check")
    @LoginRequired
    public Object checkWord(@RequestBody CheckWordParam checkWordParam) {
        logger.info("key", "checkWord",
                "data", JSON.toJSONString(checkWordParam),
                "user", JSON.toJSONString(userService.getLoginUser()));
        return youmeiAccountService.wordCheckCache(checkWordParam.getText());
    }


}
