package com.sxtvs.open.api.youmei.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
public class CheckWordResponse {

    @JsonProperty("msg")
    private String msg;
    @JsonProperty("umeiTransactionId")
    private String umeiTransactionId;
    @JsonProperty("code")
    private Integer code;
    @JsonProperty("data")
    private DataDTO data;
    @JsonProperty("transactionId")
    private String transactionId;

    @NoArgsConstructor
    @Data
    public static class DataDTO {
        @JsonProperty("checklist")
        private List<ChecklistDTO> checklist;

        private String rawText;
        private String replaceText;

        @NoArgsConstructor
        @Data
        public static class ChecklistDTO {
            @JsonProperty("um_error_level")
            private Integer umErrorLevel;
            @JsonProperty("length")
            private Integer length;
            @JsonProperty("suggest")
            private List<String> suggest;
            @JsonProperty("source")
            private Integer source;
            @JsonProperty("explanation")
            private String explanation;
            @JsonProperty("type")
            private TypeDTO type;
            @JsonProperty("checkModule")
            private CheckModuleDTO checkModule;
            @JsonProperty("htmlWords")
            private List<HtmlWordsDTO> htmlWords;
            @JsonProperty("context")
            private String context;
            @JsonProperty("action")
            private ActionDTO action;
            @JsonProperty("position")
            private Integer position;
            @JsonProperty("word")
            private String word;
            @JsonProperty("wordHtml")
            private String wordHtml;

            private int colorLength;
            private int colorPosition;
            private String youmeiWordName;

            @NoArgsConstructor
            @Data
            public static class TypeDTO {
                @JsonProperty("name")
                private String name;
                @JsonProperty("belongId")
                private Integer belongId;
                @JsonProperty("id")
                private Integer id;
                @JsonProperty("desc")
                private String desc;
            }

            @NoArgsConstructor
            @Data
            public static class CheckModuleDTO {
                @JsonProperty("id")
                private Integer id;
            }

            @NoArgsConstructor
            @Data
            public static class ActionDTO {
                @JsonProperty("id")
                private Integer id;
            }

            @NoArgsConstructor
            @Data
            public static class HtmlWordsDTO {
                @JsonProperty("position")
                private Integer position;
                @JsonProperty("word")
                private String word;
            }
        }
    }
}
