package com.sxtvs.open.core.es;

import co.elastic.clients.elasticsearch.ElasticsearchClient;
import jakarta.annotation.Resource;
import org.apache.commons.pool2.impl.GenericObjectPool;
import org.springframework.stereotype.Component;

@Component
public class EsClientPool {
    @Resource
    private GenericObjectPool<ElasticsearchClient> genericObjectPool;

    /**
     * 获得对象
     *
     * @return
     * @throws Exception
     */
    public ElasticsearchClient getClient() throws Exception {
        // 从池中取一个对象
        return genericObjectPool.borrowObject();
    }

    /**
     * 归还对象
     *
     * @param client
     */
    public void returnClient(ElasticsearchClient client) {
        // 使用完毕之后，归还对象
        genericObjectPool.returnObject(client);
    }

}
