package com.sxtvs.open.core.http;

import com.fasterxml.jackson.databind.ObjectMapper;
import lombok.SneakyThrows;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;
import org.springframework.stereotype.Component;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;

import java.util.HashMap;

@Component
public class RequestUtil {

    @Autowired
    private ObjectMapper objectMapper;

    @SneakyThrows
    public HttpEntity<String> buildJsonObject(Object object) {
        HttpHeaders headers = new HttpHeaders();
        headers.setContentType(MediaType.APPLICATION_JSON);
        String json = objectMapper.writeValueAsString(object);
        return new HttpEntity<>(json, headers);
    }


    @SneakyThrows
    public HttpEntity<MultiValueMap<String, String>> buildFormObject(HashMap<String, String> map) {
        LinkedMultiValueMap<String, String> lmvm = new LinkedMultiValueMap<>();
        map.forEach(lmvm::add);
        HttpHeaders headers = new HttpHeaders();
        headers.setContentType(MediaType.APPLICATION_FORM_URLENCODED);
        return new HttpEntity<>(lmvm, headers);
    }


}
